Bug 1348162 - Review Request: rubygem-net-dns - Pure Ruby DNS library
Summary: Review Request: rubygem-net-dns - Pure Ruby DNS library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Alessandro Locati
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1348005
TreeView+ depends on / blocked
 
Reported: 2016-06-20 10:19 UTC by Germano Massullo
Modified: 2016-10-06 22:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-27 00:34:13 UTC
Type: Bug
fale: fedora-review+


Attachments (Terms of Use)

Description Germano Massullo 2016-06-20 10:19:49 UTC
Description: Net-DNS is a pure Ruby DNS library, with a clean OO interface and an extensible API.

Spec: https://germano.fedorapeople.org/package_reviews/rubygem-net-dns/rubygem-net-dns.spec

Source RPM: https://germano.fedorapeople.org/package_reviews/rubygem-net-dns/rubygem-net-dns-0.8.0-1.fc23.src.rpm

FAS name: germano

Comment 1 Fabio Alessandro Locati 2016-07-06 06:57:38 UTC
TODO list:
- Add LICENSE file
- Align spec file inside and outside the sprm package






This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 48 files have unknown license. Detailed
     output of licensecheck in /home/fale/1348162-rubygem-net-
     dns/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     net-dns-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: When checking ruby code, install the ruby plugin.
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: rubygem-net-dns-0.8.0-1.fc24.noarch.rpm
          rubygem-net-dns-doc-0.8.0-1.fc24.noarch.rpm
          rubygem-net-dns-0.8.0-1.fc24.src.rpm
rubygem-net-dns.noarch: W: invalid-license BSDL
rubygem-net-dns.noarch: W: no-documentation
rubygem-net-dns-doc.noarch: W: invalid-license BSDL
rubygem-net-dns.src: W: invalid-license BSDL
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
rubygem-net-dns.noarch: W: invalid-license BSDL
rubygem-net-dns.noarch: W: no-documentation
rubygem-net-dns-doc.noarch: W: invalid-license BSDL
2 packages and 0 specfiles checked; 0 errors, 3 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/fale/1348162-rubygem-net-dns/srpm/rubygem-net-dns.spec	2016-07-04 21:55:07.924777404 +0100
+++ /home/fale/1348162-rubygem-net-dns/srpm-unpacked/rubygem-net-dns.spec	2016-06-20 10:35:04.000000000 +0100
@@ -5,4 +5,5 @@
 Release: 1%{?dist}
 Summary: Pure Ruby DNS library
+Group: Development/Languages
 License: BSDL
 URL: http://github.com/bluemonk/net-dns
@@ -21,4 +22,5 @@
 %package doc
 Summary: Documentation for %{name}
+Group: Documentation
 Requires: %{name} = %{version}-%{release}
 BuildArch: noarch


Requires
--------
rubygem-net-dns (rpmlib, GLIBC filtered):
    /usr/bin/env
    ruby(rubygems)

rubygem-net-dns-doc (rpmlib, GLIBC filtered):
    rubygem-net-dns



Provides
--------
rubygem-net-dns:
    rubygem(net-dns)
    rubygem-net-dns

rubygem-net-dns-doc:
    rubygem-net-dns-doc



Source checksums
----------------
https://rubygems.org/gems/net-dns-0.8.0.gem :
  CHECKSUM(SHA256) this package     : c92df500b1c704bfbfed608f8b196c6fd50353c9b8eb8bd9bae0f906b7a1ca8a
  CHECKSUM(SHA256) upstream package : c92df500b1c704bfbfed608f8b196c6fd50353c9b8eb8bd9bae0f906b7a1ca8a


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1348162
Buildroot used: fedora-24-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Fabio Alessandro Locati 2016-07-06 07:00:49 UTC
Also, The license should be "BSD" and not "BSDL" to comply with Fedora standard for shorts licenses names

Comment 4 Fabio Alessandro Locati 2016-08-10 09:59:20 UTC
The LICENSE file path is wrong in the %file section and the package does not even compile.
Please DO TRY to compile your packages before submitting them for review (and also every time you actually change something in them).

Comment 5 Germano Massullo 2016-08-10 13:39:55 UTC
--- rubygem-net-dns.spec        2016-07-18 17:47:52.000000000 +0200
+++ rubygem-net-dns-2.spec      2016-08-10 15:35:59.125471711 +0200
@@ -28,10 +28,10 @@
 
 %prep
 gem unpack %{SOURCE0}
-cp %{SOURCE1} .
 
 %setup -q -D -T -n  %{gem_name}-%{version}
 gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
+cp %{SOURCE1} .
 
 %build
 # Create the gem as gem install only works on a gem file

=================================

Now it works and it does compile

https://fedorapeople.org/~germano/package_reviews/rubygem-net-dns/rubygem-net-dns-0.8.0-1.fc24.src.rpm
https://fedorapeople.org/~germano/package_reviews/rubygem-net-dns/rubygem-net-dns.spec

Comment 6 Germano Massullo 2016-08-10 13:57:16 UTC
modified
cp %{SOURCE1} .
to
cp -p %{SOURCE1} .
to preserve timestamps. Thanks to Igor Gnatenko for the hint.

https://fedorapeople.org/~germano/package_reviews/rubygem-net-dns/rubygem-net-dns-0.8.0-1.fc24.src.rpm
https://fedorapeople.org/~germano/package_reviews/rubygem-net-dns/rubygem-net-dns.spec

Comment 7 Fabio Alessandro Locati 2016-08-23 22:01:35 UTC
Ok, nice work. APPROVED!

Comment 8 Gwyn Ciesla 2016-08-29 12:56:12 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/rubygem-net-dns

Comment 9 Fedora Update System 2016-09-22 09:55:31 UTC
rubygem-net-dns-0.8.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-833d9e7e85

Comment 10 Fedora Update System 2016-09-23 06:53:59 UTC
rubygem-net-dns-0.8.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-da2233a0aa

Comment 11 Fedora Update System 2016-09-23 08:01:16 UTC
rubygem-net-dns-0.8.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bc46bcc322

Comment 12 Fedora Update System 2016-09-27 00:34:13 UTC
rubygem-net-dns-0.8.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-10-06 15:49:52 UTC
rubygem-net-dns-0.8.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-10-06 22:21:52 UTC
rubygem-net-dns-0.8.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.